#include <iostream>
using namespace std;
int main()
{
    int t,n,m,xx,yy;
    cin>>t;
    for(int i=0;i<t;i++){
        cin>>n>>m;
        for(int nn=0;nn<n;nn++){
            for(int mm=0;mm<m;mm++){
                cin>>xx;
            }
        }
    }
    for(int i=0;i<t;i++){
        cout<<"NE"<<endl;
    }
}